> For the complete documentation index, see [llms.txt](https://bridge-docs.orbitchain.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://bridge-docs.orbitchain.io/validator-guide/rest-api.md).

# REST API

### Validator APIs

```
GET|POST /
```

> Returns the brief status of validator instance.

```
GET|POST /v1/gov/getAddress/:chain
```

> Returns the chain Address of validator instance.

```
GET|POST /v1/gov/getTransaction/:chain/:address/:transactionId
```

> Returns the submitted transaction in multi-sig wallet contract.

```
GET|POST /v1/gov/confirm/:chain/:address/:transactionId
```

> Returns the transaction hash that has been sent by the Validator.

```
GET|POST /v1/gov/confirmRange/:chain/:address/:start/:end
```

> Returns the transaction hash that has been sent by the Validator.

```
GET|POST /v1/gov/validate/:chain/:address/:sigHash
```

> Returns the transaction hash that has been sent by the Validator.
